

// Number of coefficients. Must be an even number, 4 or higher and no greater than 200
// To compile for a CPU Speed of 24Mhz it will be necessary to reduce this value to a
// value of around 120. Running at 24Mhz reduces power consumption of the Teensy to ~20ma
// Lower values reduce the quality of the filter and will require less CPU effort.
//
// To use more than 200 coefficients you have to change the "#define FIR_MAX_COEFFS" in the
// Teensy audio library source. This is located in
// C:\Program Files (x86)\Arduino\hardware\teensy\avr\libraries\Audio\filter_fir.h
#define NUM_COEFFICIENTS 200


// Color definitions
#define  BLACK   0x0000
#define BLUE    0x001F
#define RED     0xF800
#define GREEN   0x07E0
#define CYAN    0x07FF
#define MAGENTA 0xF81F
#define YELLOW  0xFFE0
#define WHITE   0xFFFF

// EEPROM CALIBRATION
#define MINX    0
#define MAXX    4
#define MINY    8
#define MAXY    12

#define CWLO    16
#define CWHI    20
#define SSBLO   24
#define SSBHI   28
#define DIGLO  32
#define DIGHI  36


#define ENCODER_FREQ_SHIFT 10
#define SMALLEST_BANDWIDTH 200l


// Pin assignments for the rotary encoder (used for the twin pass filter)
#define ENCODER1a  1                         // Rotary encoder (a) attached to pin
#define ENCODER1b  0                         // Rotary encoder (b) attached to pin
#define ENCODER1sw 3                         // Rotary encoder (sw) attached to pin

// Pin assignments for the SPI display
// This Teensy3 native optimized version of the ST7735 library requires specific pins
//
//#define sclk 13  // SCLK can also use pin 14 if you tell the driver to use software mode (see lib examples)
//#define mosi 11  // MOSI can also use pin 7 if you tell the driver to use software mode (see lib examples)
#define cs   10  // CS & DC can use pins 2, 6, 9, 10, 15, 20, 21, 22, 23
#define dc   9   //  but certain pairs must NOT be used: 2+10, 6+9, 20+23, 21+22
//#define rst  8   // RST can use any pin
#define CS_PIN  8

